//////////////////////////////////////////////////////////////////////////
//                                                                      //
// mc5103_load.h -                                                      //
//                                                                      //
//      Header file for synchronization and exchange library for MC5103 //
//                                                                      //
// Copyright (c) 2003 RC Module                                         //
//      If this code works, it was written by Alex Ruzavin              //
//      If not, I don't know who wrote it.                              //
//                                                                      //
// $Revision:: 1     $      $Date:: 2/16/06 4:07p    $                  //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#ifndef _MC5103_LOAD_H
#define _MC5103_LOAD_H

#include <stdlib.h>

#define MC5103_SYNC "1.0"
#define MC5103_SYNC_MAJOR_VERSION 1
#define MC5103_SYNC_MINOR_VERSION 0

extern "C"
{
	// Return processor number on board
	int ncl_getProcessorNo(void);

	// Barrier sync with host PC
	int ncl_hostSync(int value);

	// Barrier sync with host PC with array exchange
	int ncl_hostSyncArray(
		int value,        // Sync value
		void *outAddress, // Sended array address (can be NULL)
		size_t outLen,    // Sended array length (can be 0)
		void **inAddress, // Received array address pointer (can be NULL)
		size_t *inLen);   // Received array size pointer (can be NULL)
};

#endif  // _MC5103_LOAD_H